#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Sun Mar  6 11:57:18 2022

@author: ludi
"""
import numpy as np
import matplotlib.pyplot as plt

def plot_model(model,Xs,Ys,filename='plot.png'):    
    pxs = np.linspace(-3,3,200)
    pys = np.linspace(-3,3,200)
    pX,pY = np.meshgrid(pxs,pys)
    plot_mat = np.concatenate([pX.reshape((-1,1)),pY.reshape((-1,1))],axis=1).astype(np.float32)
    plot_z = model.predict(plot_mat)[:,0]
    plot_z = np.reshape(plot_z,(200,200))
    
    fig = plt.figure()
    ax = fig.gca()
    ax.contourf(pX, pY, plot_z,  [-1e9, 0.5, 1e9], colors = ('b','r'), alpha=0.2)
    ax.plot(Xs[Ys==0,0],Xs[Ys==0,1],'.',mec='b',markersize = 5, mfc='none', mew=2)    
    ax.plot(Xs[Ys>0,0],Xs[Ys>0,1],'.',mec='r', markersize = 5, mfc='none', mew=2)
       
    ax.set_xlim(-3, 3)
    ax.set_ylim(-3, 3)
   
    
    plt.savefig(filename,dpi=300,bbox_inches="tight")
    plt.close()
    